/***************************************************************************
 *   Copyright (C) 2008 by Alvaro Garcia   								   *
 *   maxpowel@gmail.com   												   *
 *      														           *
 * 	 This file is part of AFEBL                                            *
 * 																		   *
 *   AFBL is free software; you can redistribute it and/or modify          *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.       *
 ***************************************************************************/
#include "afeblcontainer.h"

AFEBLcontainer::AFEBLcontainer()
{
}


AFEBLcontainer::~AFEBLcontainer()
{
}


void AFEBLcontainer::add(string inputName,string inputValue)
{
	this->elements[inputName]=inputValue;
}
bool AFEBLcontainer::remove(string inputName)
{
	if(this->elements.find(inputName)!=this->elements.end())
	{
		this->elements.erase(inputName);
		return true;
	}
	else return false;
	
}
void AFEBLcontainer::clear()
{
	this->elements.clear();
}

string AFEBLcontainer::get(string inputName)
{
	this->element=this->elements.find(inputName);
	if(this->element!=this->elements.end())
		return this->element->second;
	else
		return "";
}

bool AFEBLcontainer::modify(string inputName,string newValue)
{
	this->element=this->elements.find(inputName);
	if(this->element!=this->elements.end())
	{
		this->add(inputName,newValue);
		return true;
	}
	else
		return false;
}


void AFEBLcontainer::show()
{
	for(this->element=this->elements.begin();this->element!=this->elements.end();this->element++)
	{
		cout << this->element->first <<": "<<this->element->second<<"\n";
	}
}
